/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package controllers;

import domain.Product;
import java.util.ArrayList;
import javax.ejb.EJB;
import javax.faces.bean.ApplicationScoped;
import javax.faces.bean.ManagedBean;
import business.DateStateless;
import java.util.List;
import javax.annotation.PostConstruct;

/**
 *
 * @author hardebolle
 */
@ManagedBean(name = "catalogController")
@ApplicationScoped
public class CatalogController {

    @EJB
    private DateStateless date;
    
    private List<Product> productList;
    
    public CatalogController() {
        this.productList = new ArrayList<Product>();
    }

    @PostConstruct
    public void setup(){
        Product p = new Product();
        p.setName("iPad");
        p.setPrice(350.0);
        this.productList.add(p);
        p = new Product();
        p.setName("iPhone");
        p.setPrice(679.90);
        this.productList.add(p);
    }
    
    public String getCurrentDate(){
        return this.date.getCurrentDate();
    }

    public List<Product> getProductList() {
        return this.productList;
    }

}
